<?php ob_start();
defined('BASEPATH') OR exit('No direct script access allowed');
 
class Gallery_images extends CI_Controller {

    public function __construct()
    {
        parent::__construct();
        $this->load->helper(array('form', 'url'));
        $this->load->library('form_validation');
        $this->load->model('Common_model');
        $this->is_user_logged_in();
    }


    /*===========================================================
                    Index Function Start
    ============================================================*/

    function index()
     {
         
         $gallery_id    = $this->uri->segment(2);
        
      $data['fetch_data']    =  $this->Common_model->get_gallery_detail_data_by_id($gallery_id);
      $data['fetch_images']  =  $this->Common_model->get_gallery_images_by_id($gallery_id);
      
    
      
      $this->load->view('includes/header');
	  $this->load->view('gallery_images_view',$data);
      $this->load->view('includes/footer'); 
      
    }

    /*============================================================
                    Index Function end
     ============================================================*/
     
     function add_gallery_images()
     {
         
         
      
         
        if ($this->input->post('addgalleryimages')) {
              
            
            $image_alt_tag = $this->input->post('gallery_image_alt_tag');
            
            $alt_count = count($image_alt_tag);
            
        
            
            $meta_title        = $this->input->post('meta_title');
            $meta_description  = $this->input->post('meta_description');
            $keywords          = $this->input->post('keywords');
            
            $gallery_id        = $this->input->post('gallery_id');
           
                     /*********************Gallery image upload*******************/    

           $data = array();   

           if(!empty($_FILES['gallery_image']['name'])){            

            $filesCount = count($_FILES['gallery_image']['name']);
            for($i = 0; $i < $filesCount; $i++){

                $_FILES['file']['name']     = $_FILES['gallery_image']['name'][$i];                

                $_FILES['file']['type']     = $_FILES['gallery_image']['type'][$i];                

                $_FILES['file']['tmp_name'] = $_FILES['gallery_image']['tmp_name'][$i];                

                $_FILES['file']['error']     = $_FILES['gallery_image']['error'][$i];                

                $_FILES['file']['size']      = $_FILES['gallery_image']['size'][$i];                

                // File upload configuration

                $uploadPath = 'gallery-img/';

                $config['upload_path'] = $uploadPath;

                $config['allowed_types'] = 'jpg|jpeg|png|gif';                

                // Load and initialize upload library

                $this->load->library('upload', $config);

                $this->upload->initialize($config);                

                // Upload file to server

                if($this->upload->do_upload('file')){
                    // Uploaded file data
                    $fileData = $this->upload->data();
                    $uploadData[$i]= $fileData['file_name'];                    

                }

            }         

        }
        
     
    /*******************Child image upload end**************************/      
        
                
                $data = array('added_date' => date('Y-m-d H:i:s'),'gallery_id'=>$gallery_id,'meta_title'=>$meta_title,'meta_description'=>$meta_description,'keywords'=>$keywords);
        
                $insert_details =  $this->Common_model->insert_gallery_detail_data($data);
                
                for($j=0;$j<$alt_count;$j++)
                {
                    
                    $image_name    = $uploadData[$j];
                    
                    $data1 = array('added_date' => date('Y-m-d H:i:s'),'gallery_image'=>$image_name,
                    'gallery_image_alt_tag'=>$image_alt_tag[$j],'gallery_id'=>$gallery_id);
                    
                    $insert_images =  $this->Common_model->insert_gallery_images($data1);
                }
                
              redirect('gallery_list/9/');
           
       }
       
       
       
       if ($this->input->post('updategalleryimages')) {
              
            
            $image_alt_tag = $this->input->post('gallery_image_alt_tag');
            $last_image    = $this->input->post('last_image');
            
            $alt_count = count($image_alt_tag);
            
        
            
            $meta_title        = $this->input->post('meta_title');
            $meta_description  = $this->input->post('meta_description');
            $keywords          = $this->input->post('keywords');
            $gallery_id        = $this->input->post('gallery_id');
            $updateid          = $this->input->post('updateid');
           
                     /*********************Gallery image upload*******************/    

           $data = array();   

                      

            $filesCount = count($_FILES['gallery_image']['name']);
            for($i = 0; $i < $filesCount; $i++){

                $_FILES['file']['name']     = $_FILES['gallery_image']['name'][$i];                

                $_FILES['file']['type']     = $_FILES['gallery_image']['type'][$i];                

                $_FILES['file']['tmp_name'] = $_FILES['gallery_image']['tmp_name'][$i];                

                $_FILES['file']['error']     = $_FILES['gallery_image']['error'][$i];                

                $_FILES['file']['size']      = $_FILES['gallery_image']['size'][$i];                

                // File upload configuration

                $uploadPath = 'gallery-img/';

                $config['upload_path'] = $uploadPath;

                $config['allowed_types'] = 'jpg|jpeg|png|gif';                

                // Load and initialize upload library

                $this->load->library('upload', $config);

                $this->upload->initialize($config);                

                // Upload file to server

                if($this->upload->do_upload('file')){
                    // Uploaded file data
                    $fileData = $this->upload->data();
                    $uploadData[$i]= $fileData['file_name'];                    

                }

            }         

        
        
     
    /*******************Child image upload end**************************/      
        
                
                $data = array('updated_date' => date('Y-m-d H:i:s'),'gallery_id'=>$gallery_id,'meta_title'=>$meta_title,'meta_description'=>$meta_description,'keywords'=>$keywords);
        
                $update_details =  $this->Common_model->update_gallery_detail_data($data,$updateid);
                
                
                $delete_images =  $this->Common_model->delete_gallery_images($gallery_id);
                
                
                
                
                for($j=0;$j<$alt_count;$j++)
                {
                    
                    if($uploadData[$j] =='')
                     {
                         
                      $image_name = $last_image[$j];

                     }else{
                        
                        $image_name    = $uploadData[$j];
                        
                     }
                    
                    
                    
                    $data1 = array('added_date' => date('Y-m-d H:i:s'),'gallery_image'=>$image_name,
                    'gallery_image_alt_tag'=>$image_alt_tag[$j],'gallery_id'=>$gallery_id);
                    
                    $insert_images =  $this->Common_model->insert_gallery_images($data1);
                }
                
              redirect('gallery_list/10/');
           
       }
       
       
       
       
            
            
     }
     
     
     
    function is_user_logged_in()
   	{
	    
		$this->load->helper(array('form', 'url'));
		if ($this->session->userdata('education_user_id') == '' or $this->session->userdata('education_user_type') == ''  
		   or $this->session->userdata('education_user_email') == '')
		{
			redirect('welcome');      
		}	

		else
		{
			//echo "User is logged in";
		}
	}
     
     
     
     
     
        

}