<?php ob_start();
defined('BASEPATH') OR exit('No direct script access allowed');
 
class University_detail extends CI_Controller {

    public function __construct()
    {
        parent::__construct();
        $this->load->helper(array('form', 'url'));
        $this->load->library('form_validation');
        $this->load->model('Common_model');
        $this->is_user_logged_in();
        
    }


    /*===========================================================
                    Index Function Start
    ============================================================*/

    function index()
     {
         
         $id = $this->uri->segment(2);
        
     
      if(trim($id)!='')
      {
          
         $fetch_data  = '';
         $data['fetch_data'] = $this->Common_model->get_university_detail_data_by_id($id);
        
          
         $this->load->view('includes/header');
	     $this->load->view('university_detail_view',$data);
         $this->load->view('includes/footer');
          
      }else
      {
          
         $this->load->view('includes/header');
	     $this->load->view('university_detail_view');
         $this->load->view('includes/footer');
          
      } 
      
      
    }

    /*============================================================
                    Index Function end
     ============================================================*/
     
     
    function add_university_data()
    {
        
        
          if ($this->input->post('adduniversity')) {
              
                $university_id                  = $this->input->post('university_id');
                $meta_title                     = $this->input->post('meta_title');
                $meta_description               = $this->input->post('meta_description');
                $keywords                       = $this->input->post('keywords');
                $university_image_alt_tag       = $this->input->post('university_image_alt_tag');
                $youtube_link                   = $this->input->post('youtube_link');
                $university_title_tab           = $this->input->post('university_title_tab');
                $university_description         = $this->input->post('university_description');
                $recognitions_title_tab         = $this->input->post('recognitions_title_tab');
                $recognitions_description_tab   = $this->input->post('recognitions_description_tab');
                $eligibility_title_tab          = $this->input->post('eligibility_title_tab');
                $eligibility_description_tab    = $this->input->post('eligibility_description_tab');
                $fees_structure_title_tab       = $this->input->post('fees_structure_title_tab');
                $fees_structure_description_tab = $this->input->post('fees_structure_description_tab');
                $facilities_title_tab           = $this->input->post('facilities_title_tab');
                $facilities_description_tab     = $this->input->post('facilities_description_tab');
                $sep_sec_description_tab        = $this->input->post('sep_sec_description_tab');
                
                $academy_title_tab              = $this->input->post('academy_title_tab');
                $academy_description_tab        = $this->input->post('academy_description_tab');
                
                $admission_title_tab            = $this->input->post('admission_title_tab');
                $admission_description_tab      = $this->input->post('admission_description_tab');
                
                $leadership_title_tab           = $this->input->post('leadership_title_tab');
                $leadership_description_tab     = $this->input->post('leadership_description_tab');
                
                $fmeg_title_tab                 = $this->input->post('fmeg_title_tab');
                $fmeg_description_tab           = $this->input->post('fmeg_description_tab');
                
                $usmle_title_tab                = $this->input->post('usmle_title_tab');
                $usmle_description_tab          = $this->input->post('usmle_description_tab');
                
                $hospitals_title_tab            = $this->input->post('hospitals_title_tab');
                $hospitals_description_tab      = $this->input->post('hospitals_description_tab');
                
                $city_title_tab                 = $this->input->post('city_title_tab');
                $city_description_tab           = $this->input->post('city_description_tab');
                
                $testimonials_title_tab         = $this->input->post('testimonials_title_tab');
                $testimonials_description_tab   = $this->input->post('testimonials_description_tab');
                
                $gallery_title_tab              = $this->input->post('gallery_title_tab');
                $gallery_description_tab        = $this->input->post('gallery_description_tab');
                
                $intake_title_tab               = $this->input->post('intake_title_tab');
                $intake_description_tab         = $this->input->post('intake_description_tab');
                
                $student_title_tab              = $this->input->post('student_title_tab');
                $student_description_tab        = $this->input->post('student_description_tab');
               
                
                
                
                $config['upload_path']   = 'images/university-img/';
                $config['allowed_types'] = 'jpeg|jpg|png|svg';
                $config['max_size']      =  500;
        
                $this->load->library('upload', $config);
                
                if(!empty($_FILES['student_image']['name'])){  
                
                if (!$this->upload->do_upload('student_image')) {
                     
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg     =  $data['error'];
                    redirect('university_detail/'.$university_id.'/2/');
                     
                 }else
                 {
                    $data = $this->upload->data();
                    $student_image  =  $data['file_name'];
                     
                 }
                 
                 }
                 
                 
                 if(!empty($_FILES['intake_image']['name'])){  
                
                if (!$this->upload->do_upload('intake_image')) {
                     
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg     =  $data['error'];
                    redirect('university_detail/'.$university_id.'/2/');
                     
                 }else
                 {
                    $data = $this->upload->data();
                    $intake_image  =  $data['file_name'];
                     
                 }
                 
                 }
                 
                 if(!empty($_FILES['gallery_image']['name'])){  
                
                 if (!$this->upload->do_upload('gallery_image')) {
                     
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg     =  $data['error'];
                    redirect('university_detail/'.$university_id.'/2/');
                     
                 }else
                 {
                    $data = $this->upload->data();
                    $gallery_image  =  $data['file_name'];
                     
                 }
                 
                }
                
                
                  
                if(!empty($_FILES['testimonials_image']['name'])){  
                
                 if (!$this->upload->do_upload('testimonials_image')) {
                     
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg     =  $data['error'];
                    redirect('university_detail/'.$university_id.'/2/');
                     
                 }else
                 {
                    $data = $this->upload->data();
                    $testimonials_image  =  $data['file_name'];
                     
                 }
                 
                }
                
                
                if(!empty($_FILES['city_image']['name'])){ 
                
                 if (!$this->upload->do_upload('city_image')) {
                     
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg     =  $data['error'];
                    redirect('university_detail/'.$university_id.'/2/');
                     
                 }else
                 {
                    $data = $this->upload->data();
                    $city_image  =  $data['file_name'];
                     
                 }
                 
                }
                
                
                if(!empty($_FILES['hospitals_image']['name'])){
                
                 if (!$this->upload->do_upload('hospitals_image')) {
                     
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg     =  $data['error'];
                    redirect('university_detail/'.$university_id.'/2/');
                     
                 }else
                 {
                    $data = $this->upload->data();
                    $hospitals_image  =  $data['file_name'];
                 }
                 
                }
                
                
                
                if(!empty($_FILES['usmle_image']['name'])){
                
                if (!$this->upload->do_upload('usmle_image')) {
                     
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg     =  $data['error'];
                    redirect('university_detail/'.$university_id.'/2/');
                     
                 }else
                 {
                    $data = $this->upload->data();
                    $usmle_image  =  $data['file_name'];
                     
                 }
                 
                }
                
                
                
                 if(!empty($_FILES['fmeg_image']['name'])){
                
                 if (!$this->upload->do_upload('fmeg_image')) {
                     
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg     =  $data['error'];
                    redirect('university_detail/'.$university_id.'/2/');
                     
                 }else
                 {
                    $data = $this->upload->data();
                    $fmeg_image  =  $data['file_name'];
                     
                 }
                 
                 }
                
                
                
                if(!empty($_FILES['leadership_image']['name'])){
                
                 if (!$this->upload->do_upload('leadership_image')) {
                     
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg     =  $data['error'];
                    redirect('university_detail/'.$university_id.'/2/');
                     
                 }else
                 {
                    $data = $this->upload->data();
                    $leadership_image =  $data['file_name'];
                     
                 }
                 
                }
                
                
                 if(!empty($_FILES['admission_image']['name'])){
                
                 if (!$this->upload->do_upload('admission_image')) {
                     
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg     =  $data['error'];
                    redirect('university_detail/'.$university_id.'/2/');
                     
                 }else
                 {
                    $data = $this->upload->data();
                    $admission_image =  $data['file_name'];
                     
                 }
                 
                 }
                
                
                if(!empty($_FILES['academy_image']['name'])){
                
                 if (!$this->upload->do_upload('academy_image')) {
                     
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg     =  $data['error'];
                    redirect('university_detail/'.$university_id.'/2/');
                     
                 }else
                 {
                    $data = $this->upload->data();
                    $academy_image =  $data['file_name'];
                     
                 }
                
                }
                
        
                if (!$this->upload->do_upload('university_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg     =  $data['error'];
                    
                    redirect('university_detail/'.$university_id.'/2/');
                 
                    
                }else{
                    
                    $data = $this->upload->data();
                    $image_name =  $data['file_name'];
                
                    $data = array(
                    'added_date' => date('Y-m-d H:i:s'),'meta_title' => $meta_title,
                    'meta_description' => $meta_description,'keywords' => $keywords,
                    'university_id'=>$university_id,'university_image_alt_tag'=>$university_image_alt_tag,
                    'university_image'=>$image_name,'youtube_link' => $youtube_link,
                    'university_title_tab' => $university_title_tab,'university_description' => $university_description,
                    'recognitions_title_tab' => $recognitions_title_tab,'recognitions_description_tab' => $recognitions_description_tab,
                    'eligibility_title_tab' => $eligibility_title_tab,'eligibility_description_tab' => $eligibility_description_tab,
                    'fees_structure_title_tab' => $fees_structure_title_tab,'fees_structure_description_tab' => $fees_structure_description_tab,
                    'facilities_title_tab' => $facilities_title_tab,'facilities_description_tab' => $facilities_description_tab,
                    'sep_sec_description_tab' => $sep_sec_description_tab,
                    'academy_title_tab' => $academy_title_tab, 'academy_description_tab' => $academy_description_tab,'academy_image'=>$academy_image,
                    'admission_title_tab' => $admission_title_tab, 'admission_image' => $admission_image,'admission_description_tab'=>$admission_description_tab,
                    'leadership_title_tab' => $leadership_title_tab, 'leadership_image' => $leadership_image,'leadership_description_tab'=>$leadership_description_tab,
                    'fmeg_title_tab' => $fmeg_title_tab, 'fmeg_image' => $fmeg_image,'fmeg_description_tab'=>$fmeg_description_tab,
                    'usmle_title_tab' => $usmle_title_tab, 'usmle_image' => $usmle_image,'usmle_description_tab'=>$usmle_description_tab,
                    'hospitals_title_tab' => $hospitals_title_tab, 'hospitals_image' => $hospitals_image,'hospitals_description_tab'=>$hospitals_description_tab,
                    'city_title_tab' => $city_title_tab, 'city_image' => $city_image,'city_description_tab'=>$city_description_tab,
                    'testimonials_title_tab' => $testimonials_title_tab, 'testimonials_image' => $testimonials_image,'testimonials_description_tab'=>$testimonials_description_tab,
                    'gallery_title_tab' => $gallery_title_tab, 'gallery_image' => $gallery_image,'gallery_description_tab'=>$gallery_description_tab,
                    'intake_title_tab' => $intake_title_tab, 'intake_image' => $intake_image,'intake_description_tab'=>$intake_description_tab,
                    'student_title_tab' => $student_title_tab, 'student_image' => $student_image,'student_description_tab'=>$student_description_tab,
                    
                
                    );
               
                    $insert_data = '';
                    $insert_data = $this->Common_model->insert_university_detail_data($data);
                  
                    if($insert_data){
                        
                      redirect('university_list/2/');
                   }
                   
                }
                
                
          } 
            
           
           
           if ($this->input->post('updateuniversity')) {
               
              
                $last_image                = $this->input->post('last_image');
                $academy_last_image        = $this->input->post('academy_last_image');
                $admission_last_image      = $this->input->post('admission_last_image');
                $leadership_last_image     = $this->input->post('leadership_last_image');
                $fmeg_last_image           = $this->input->post('fmeg_last_image');
                $usmle_last_image          = $this->input->post('usmle_last_image');
                $hospitals_last_image      = $this->input->post('hospitals_last_image');
                $city_last_image           = $this->input->post('city_last_image');
                $testimonials_last_image   = $this->input->post('testimonials_last_image');
                $gallery_last_image        = $this->input->post('gallery_last_image');
                $intake_last_image         = $this->input->post('intake_last_image');
                $student_last_image        = $this->input->post('student_last_image');
             
                
                $updateid                       = $this->input->post('updateid');
                
                $university_id                  = $this->input->post('university_id');
                $meta_title                     = $this->input->post('meta_title');
                $meta_description               = $this->input->post('meta_description');
                $keywords                       = $this->input->post('keywords');
                $university_image_alt_tag       = $this->input->post('university_image_alt_tag');
                $youtube_link                   = $this->input->post('youtube_link');
                $university_title_tab           = $this->input->post('university_title_tab');
                $university_description         = $this->input->post('university_description');
                $recognitions_title_tab         = $this->input->post('recognitions_title_tab');
                $recognitions_description_tab   = $this->input->post('recognitions_description_tab');
                $eligibility_title_tab          = $this->input->post('eligibility_title_tab');
                $eligibility_description_tab    = $this->input->post('eligibility_description_tab');
                $fees_structure_title_tab       = $this->input->post('fees_structure_title_tab');
                $fees_structure_description_tab = $this->input->post('fees_structure_description_tab');
                $facilities_title_tab           = $this->input->post('facilities_title_tab');
                $facilities_description_tab     = $this->input->post('facilities_description_tab');
                $sep_sec_description_tab        = $this->input->post('sep_sec_description_tab');
                
                $academy_title_tab              = $this->input->post('academy_title_tab');
                $academy_description_tab        = $this->input->post('academy_description_tab');
                
                $admission_title_tab            = $this->input->post('admission_title_tab');
                $admission_description_tab      = $this->input->post('admission_description_tab');
                
                $leadership_title_tab           = $this->input->post('leadership_title_tab');
                $leadership_description_tab     = $this->input->post('leadership_description_tab');
                
                $fmeg_title_tab                 = $this->input->post('fmeg_title_tab');
                $fmeg_description_tab           = $this->input->post('fmeg_description_tab');
                
                $usmle_title_tab                = $this->input->post('usmle_title_tab');
                $usmle_description_tab          = $this->input->post('usmle_description_tab');
                
                $hospitals_title_tab            = $this->input->post('hospitals_title_tab');
                $hospitals_description_tab      = $this->input->post('hospitals_description_tab');
                
                $city_title_tab                 = $this->input->post('city_title_tab');
                $city_description_tab           = $this->input->post('city_description_tab');
                
                $testimonials_title_tab         = $this->input->post('testimonials_title_tab');
                $testimonials_description_tab   = $this->input->post('testimonials_description_tab');
                
                $gallery_title_tab              = $this->input->post('gallery_title_tab');
                $gallery_description_tab        = $this->input->post('gallery_description_tab');
                
                $intake_title_tab               = $this->input->post('intake_title_tab');
                $intake_description_tab         = $this->input->post('intake_description_tab');
                
                $student_title_tab              = $this->input->post('student_title_tab');
                $student_description_tab        = $this->input->post('student_description_tab');
               
                
                
               
             
                $config['upload_path'] = 'images/university-img/';
                $config['allowed_types'] = 'jpeg|jpg|png|svg';
                $config['max_size'] = 500;
        
                $this->load->library('upload', $config);
                
                if(!empty($_FILES['university_image']['name'])){   
        
                if (!$this->upload->do_upload('university_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('university_detail/'.$university_id.'/2/');
                 
                    
                  }else{
                    
                    $data = $this->upload->data();
                    $image_name =  $data['file_name'];
                   
                   }
                
                 }
                
                
                if($image_name=='')
                {
                  $image_name =  $last_image; 
                }
                
                
                
                if(!empty($_FILES['academy_image']['name'])){   
        
                if (!$this->upload->do_upload('academy_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('university_detail/'.$university_id.'/2/');
                 
                    
                  }else{
                    
                    $data = $this->upload->data();
                    $academy_image =  $data['file_name'];
                   
                   }
                
                 }
                
                
                if($academy_image=='')
                {
                  $academy_image =  $academy_last_image; 
                }
                
                if(!empty($_FILES['admission_image']['name'])){   
        
                if (!$this->upload->do_upload('admission_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('university_detail/'.$university_id.'/2/');
                 
                    
                  }else{
                    
                    $data = $this->upload->data();
                    $admission_image =  $data['file_name'];
                   
                   }
                
                 }
                
                
                if($admission_image=='')
                {
                  $admission_image =  $admission_last_image; 
                }
                
                
                if(!empty($_FILES['leadership_image']['name'])){   
        
                if (!$this->upload->do_upload('leadership_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('university_detail/'.$university_id.'/2/');
                 
                    
                  }else{
                    
                    $data = $this->upload->data();
                    $leadership_image =  $data['file_name'];
                   
                   }
                
                 }
                
                
                if($leadership_image=='')
                {
                  $leadership_image =  $leadership_last_image; 
                }
                
                
                
                if(!empty($_FILES['fmeg_image']['name'])){   
        
                if (!$this->upload->do_upload('fmeg_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('university_detail/'.$university_id.'/2/');
                 
                    
                  }else{
                    
                    $data = $this->upload->data();
                    $fmeg_image =  $data['file_name'];
                   
                   }
                
                 }
                
                
                if($fmeg_image=='')
                {
                  $fmeg_image =  $fmeg_last_image; 
                }
                
                
                
                if(!empty($_FILES['usmle_image']['name'])){   
        
                if (!$this->upload->do_upload('usmle_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('university_detail/'.$university_id.'/2/');
                 
                    
                  }else{
                    
                    $data = $this->upload->data();
                    $usmle_image =  $data['file_name'];
                   
                   }
                
                 }
                
                
                if($usmle_image=='')
                {
                  $usmle_image =  $usmle_last_image; 
                }
                
                
                if(!empty($_FILES['hospitals_image']['name'])){   
        
                if (!$this->upload->do_upload('hospitals_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('university_detail/'.$university_id.'/2/');
                 
                    
                  }else{
                    
                    $data = $this->upload->data();
                    $hospitals_image =  $data['file_name'];
                   
                   }
                
                 }
                
                
                if($hospitals_image=='')
                {
                  $hospitals_image =  $hospitals_last_image; 
                }
                
                
                
                if(!empty($_FILES['city_image']['name'])){   
        
                if (!$this->upload->do_upload('city_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('university_detail/'.$university_id.'/2/');
                 
                    
                  }else{
                    
                    $data = $this->upload->data();
                    $city_image =  $data['file_name'];
                   
                   }
                
                 }
                
                
                if($city_image=='')
                {
                  $city_image =  $city_last_image; 
                }
                
                
                if(!empty($_FILES['testimonials_image']['name'])){   
        
                if (!$this->upload->do_upload('testimonials_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('university_detail/'.$university_id.'/2/');
                 
                    
                  }else{
                    
                    $data = $this->upload->data();
                    $testimonials_image =  $data['file_name'];
                   
                   }
                
                 }
                
                
                if($testimonials_image=='')
                {
                  $testimonials_image =  $testimonials_last_image; 
                }
                
                
                
                
                if(!empty($_FILES['gallery_image']['name'])){   
        
                if (!$this->upload->do_upload('gallery_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('university_detail/'.$university_id.'/2/');
                 
                    
                  }else{
                    
                    $data = $this->upload->data();
                    $gallery_image =  $data['file_name'];
                   
                   }
                
                 }
                
                
                if($gallery_image=='')
                {
                    
                  $gallery_image =  $gallery_last_image; 
                  
                }
                
                
                
                if(!empty($_FILES['intake_image']['name'])){   
        
                if (!$this->upload->do_upload('intake_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('university_detail/'.$university_id.'/2/');
                 
                    
                  }else{
                    
                    $data = $this->upload->data();
                    $intake_image =  $data['file_name'];
                   
                   }
                
                 }
                
                
                if($intake_image=='')
                {
                    
                  $intake_image =  $intake_last_image; 
                  
                }
                
                
                
                
                if(!empty($_FILES['student_image']['name'])){   
        
                if (!$this->upload->do_upload('student_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('university_detail/'.$university_id.'/2/');
                 
                    
                  }else{
                    
                    $data = $this->upload->data();
                    $student_image =  $data['file_name'];
                   
                   }
                
                 }
                
                
                if($student_image=='')
                {
                    
                  $student_image =  $student_last_image; 
                  
                }
                
                
                
                
                
                
                
                    $data = array(
                    'updated_date' => date('Y-m-d H:i:s'),'meta_title' => $meta_title,
                    'meta_description' => $meta_description,'keywords' => $keywords,
                    'university_id'=>$university_id,'university_image_alt_tag'=>$university_image_alt_tag,
                    'university_image'=>$image_name,'youtube_link' => $youtube_link,
                    'university_title_tab' => $university_title_tab,'university_description' => $university_description,
                    'recognitions_title_tab' => $recognitions_title_tab,'recognitions_description_tab' => $recognitions_description_tab,
                    'eligibility_title_tab' => $eligibility_title_tab,'eligibility_description_tab' => $eligibility_description_tab,
                    'fees_structure_title_tab' => $fees_structure_title_tab,'fees_structure_description_tab' => $fees_structure_description_tab,
                    'facilities_title_tab' => $facilities_title_tab,'facilities_description_tab' => $facilities_description_tab,
                    'sep_sec_description_tab' => $sep_sec_description_tab,
                    'academy_title_tab' => $academy_title_tab, 'academy_description_tab' => $academy_description_tab,'academy_image'=>$academy_image,
                    'admission_title_tab' => $admission_title_tab, 'admission_image' => $admission_image,'admission_description_tab'=>$admission_description_tab,
                    'leadership_title_tab' => $leadership_title_tab, 'leadership_image' => $leadership_image,'leadership_description_tab'=>$leadership_description_tab,
                    'fmeg_title_tab' => $fmeg_title_tab, 'fmeg_image' => $fmeg_image,'fmeg_description_tab'=>$fmeg_description_tab,
                    'usmle_title_tab' => $usmle_title_tab, 'usmle_image' => $usmle_image,'usmle_description_tab'=>$usmle_description_tab,
                    'hospitals_title_tab' => $hospitals_title_tab, 'hospitals_image' => $hospitals_image,'hospitals_description_tab'=>$hospitals_description_tab,
                    'city_title_tab' => $city_title_tab, 'city_image' => $city_image,'city_description_tab'=>$city_description_tab,
                    'testimonials_title_tab' => $testimonials_title_tab, 'testimonials_image' => $testimonials_image,'testimonials_description_tab'=>$testimonials_description_tab,
                    'gallery_title_tab' => $gallery_title_tab, 'gallery_image' => $gallery_image,'gallery_description_tab'=>$gallery_description_tab,
                    'intake_title_tab' => $intake_title_tab, 'intake_image' => $intake_image,'intake_description_tab'=>$intake_description_tab,
                    'student_title_tab' => $student_title_tab, 'student_image' => $student_image,'student_description_tab'=>$student_description_tab,
                    
                
                    );
               
                   $update_data = '';
                   $update_data = $this->Common_model->update_university_detail_data($data,$updateid);
                  
                    if($update_data){ 
                      
                      redirect('university_list/3/');
                              
                    }
             
           }
        
    }
     
     
     
   function is_user_logged_in()
	{
	    
		$this->load->helper(array('form', 'url'));
		if ($this->session->userdata('education_user_id') == '' or $this->session->userdata('education_user_type') == ''  
		   or $this->session->userdata('education_user_email') == '')
		{
			redirect('welcome');      
		}	

		else
		{
			//echo "User is logged in";
		}
	}
     
     
     
     
     
}