<?php ob_start();
defined('BASEPATH') OR exit('No direct script access allowed');
 
class Page_add extends CI_Controller {

    public function __construct()
    {
        parent::__construct();
        $this->load->helper(array('form', 'url'));
        $this->load->library('form_validation');
        $this->load->model('Common_model');
        $this->is_user_logged_in();
    }


    /*===========================================================
                    Index Function Start
    ============================================================*/

    function index()
     {
         
         $id = $this->uri->segment(2);
     
      if(trim($id)!='')
      {
          
          $fetch_data  = '';
          $data['fetch_data'] = $this->Common_model->get_page_data_by_id($id);
        
          
         $this->load->view('includes/header');
	     $this->load->view('page_add_view',$data);
         $this->load->view('includes/footer');
          
      }else
      {
          
         $this->load->view('includes/header');
	     $this->load->view('page_add_view');
         $this->load->view('includes/footer');
          
      } 
      
      
    }

    /*============================================================
                    Index Function end
     ============================================================*/
     
     
    function add_page_data()
    {
        
        
          if ($this->input->post('addpage')) {
               
                $meta_title       = $this->input->post('meta_title');
                $meta_description = $this->input->post('meta_description');
                $keywords         = $this->input->post('keywords');
                $page_title       = $this->input->post('page_title');
                $page_url         = $this->input->post('page_url');
                $banner_title     = $this->input->post('banner_title');
                $banner_alt_tag   = $this->input->post('banner_alt_tag');
               
                $config['upload_path'] = 'images/banner-img/';
                $config['allowed_types'] = 'jpeg|jpg|png|svg';
                $config['max_size'] = 500;
        
                $this->load->library('upload', $config);
        
                if (!$this->upload->do_upload('banner_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                    $data = array(
                            'success_alert'    => $error_msg,
                            'meta_title'       => $meta_title,
                            'meta_description' => $meta_description,
                            'keywords'         => $keywords,
                            'page_title'       => $page_title,
                            'page_url'         => $page_url,
                            'banner_title'     => $banner_title,
                            'banner_alt_tag'   => $banner_alt_tag,
                         );
                    
                    
                      $this->load->view('includes/header');
                	  $this->load->view('page_add_view',$data);
                      $this->load->view('includes/footer'); 
                 
                    
                } else {
                    
                    $data = $this->upload->data();
                    $image_name =  $data['file_name'];
                    
                   
                   
                
                    $data = array(
                        'added_date' => date('Y-m-d H:i:s'),'meta_title' => $meta_title,
                        'meta_description' => $meta_description,'keywords' => $keywords,
                        'page_url' => $page_url,'page_title' => $page_title,'banner_image'=>$image_name,
                        'banner_alt_tag'=>$banner_alt_tag,'banner_title'=>$banner_title
                    
                        );
               
                   $insert_data = '';
                   $insert_data = $this->Common_model->insert_page_data($data);
                  
                    if($insert_data){ 
                        
                      
                      redirect('page_list/2/');
                              
                              
                    }
                }
             
           }
           
           
           
           if ($this->input->post('updatepage')) {
               
                $meta_title       = $this->input->post('meta_title');
                $meta_description = $this->input->post('meta_description');
                $keywords         = $this->input->post('keywords');
                $page_title       = $this->input->post('page_title');
                $page_url         = $this->input->post('page_url');
                $banner_title     = $this->input->post('banner_title');
                $banner_alt_tag   = $this->input->post('banner_alt_tag');
                $last_image         = $this->input->post('last_image');
                $updateid           = $this->input->post('updateid');
               
               
                $config['upload_path'] = 'images/banner-img/';
                $config['allowed_types'] = 'jpeg|jpg|png|svg';
                $config['max_size'] = 500;
        
                $this->load->library('upload', $config);
                
                 if(!empty($_FILES['banner_image']['name'])){   
        
                if (!$this->upload->do_upload('banner_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                     redirect('page_add/'.$updateid.'/2/');
                 
                    
                } else {
                    
                    $data = $this->upload->data();
                    $image_name =  $data['file_name'];
                   
                }
                
                 }
                
                
                if($image_name=='')
                {
                  $image_name =  $last_image; 
                }
                   
                
                 $data = array(
                        'updated_date' => date('Y-m-d H:i:s'),
                        'meta_title' => $meta_title,
                        'meta_description' => $meta_description,
                        'keywords' => $keywords,
                        'page_url' => $page_url,
                        'page_title' => $page_title,
                        'banner_image'=>$image_name,
                        'banner_alt_tag'=>$banner_alt_tag,
                        'banner_title'=>$banner_title
                    
                        );
               
                   $update_data = '';
                   $update_data = $this->Common_model->update_page_data($data,$updateid);
                  
                    if($update_data){ 
                        
                      
                      redirect('page_list/3/');
                              
                              
                    }
                
                
             
           }
           
        
    }
    
    
    
    
   function is_user_logged_in()
	{
	    
		$this->load->helper(array('form', 'url'));
		if ($this->session->userdata('education_user_id') == '' or $this->session->userdata('education_user_type') == ''  
		   or $this->session->userdata('education_user_email') == '')
		{
			redirect('welcome');      
		}	

		else
		{
			//echo "User is logged in";
		}
	}
     
     
     
     
     
     
     
}