<?php ob_start();
defined('BASEPATH') OR exit('No direct script access allowed');
 
class Dashboard extends CI_Controller {

    public function __construct()
    {
        parent::__construct();
        $this->load->helper(array('form', 'url'));
        $this->load->library('form_validation');
        $this->load->model('Common_model');
        $this->is_user_logged_in();
    }


    /*===========================================================
                    Index Function Start
    ============================================================*/

    function index()
     {
         
         
        $data['page_count'] = $this->Common_model->get_page_count(); 
        $data['news_count'] = $this->Common_model->get_news_count();
        $data['blog_count'] = $this->Common_model->get_blog_count();
        $data['gallery_count'] = $this->Common_model->get_gallery_count();
         
      $this->load->view('includes/header');
	  $this->load->view('dashboard_view',$data);
      $this->load->view('includes/footer'); 
      
    }

    /*============================================================
                    Index Function end
     ============================================================*/
     
     
    function logout()
	 {
	
        $data = array('client_sess' => '', 'admin_level' => '');
        $this->session->unset_userdata($data);
        $this->session->sess_destroy();
        redirect('welcome');
	 }
	 
	 
	function is_user_logged_in()
	{
	    
		$this->load->helper(array('form', 'url'));
		if ($this->session->userdata('education_user_id') == '' or $this->session->userdata('education_user_type') == ''  
		   or $this->session->userdata('education_user_email') == '')
		{
			redirect('welcome');      
		}	

		else
		{
			//echo "User is logged in";
		}
	}
     
     
     



}