<?php
defined('BASEPATH') OR exit('No direct script access allowed');
?>
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Admin :: Login</title>
  <!-- Custom fonts for this template-->
  <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">
  <!-- Custom styles for this template-->
  <link href="css/sb-admin-2.min.css" rel="stylesheet">

</head>

<body class="bg-gradient-primary" style="background:#237c8a;">

  <div class="container">

    <!-- Outer Row -->
    <div class="row justify-content-center">

      <div class="col-xl-10 col-lg-12 col-md-9">

        <div class="card o-hidden border-0 shadow-lg my-5">
          <div class="card-body p-0">
            <!-- Nested Row within Card Body -->
            <div class="row">
              <div class="col-lg-6 d-none d-lg-block bg-login-image" style="background: url('images/img/login.jpg')"></div>
              <div class="col-lg-6">
                <div class="p-5">
                  <div class="text-center">
                      <?php if ((isset($alert) ? $alert :'') != '') { ?>
                       <div class="alert alert-danger login-alert text-center">
                        <?php echo $alert;?>
                        </div>
                      <?php }?>
                    <h1 class="h4 text-gray-900 mb-4">Welcome Back!</h1>
                  </div>
                  <form class="user" method="post" action="<?php echo base_url();?>">
                    <div class="form-group">
                      <input type="email" class="form-control form-control-user" name="email" id="email" placeholder="Enter Email Address..." value="<?php if ((isset($email) ? $email :'') != '') { echo $email; }?>">
                    </div>
                    <div class="form-group">
                      <input type="password" class="form-control form-control-user" name="password" id="password" placeholder="Password" value="<?php if ((isset($password) ? $password :'') != '') { echo $password; }?>">
                    </div>
                    <div class="form-group">
                      <div class="custom-control custom-checkbox small">
                        <input type="checkbox" class="custom-control-input" id="customCheck">
                        <label class="custom-control-label" for="customCheck">Remember Me</label>
                      </div>
                    </div>
                  
                    
                    <input type="submit" name="login" class="btn btn-primary btn-user btn-block" style="background: #4fa6b9;border-color: #4fa6b9;" value="Login"> 
                    
                    <hr>
                     <div class="text-center">
                    <a class="small" href="forgot-password.html" style="color: #022057;">Forgot Password?</a>
                  </div>
                  
                    <!--<div class="text-center">-->
                    <!--  <a class="small" href="register.html" style="color: #022057;">Create an Account!</a>-->
                    <!--</div>-->
                    <!--<a href="index.html" class="btn btn-google btn-user btn-block">-->
                    <!--  <i class="fab fa-google fa-fw"></i> Login with Google-->
                    <!--</a>-->
                    <!--<a href="index.html" class="btn btn-facebook btn-user btn-block">-->
                    <!--  <i class="fab fa-facebook-f fa-fw"></i> Login with Facebook-->
                    <!--</a>-->
                  </form>
                  <hr>
                  <br>
                 
                </div>
              </div>
            </div>
          </div>
        </div>

      </div>

    </div>

  </div>

  <!-- Bootstrap core JavaScript-->
  <script src="vendor/jquery/jquery.min.js"></script>
  <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

  <!-- Custom scripts for all pages-->
  <script src="js/sb-admin-2.min.js"></script>

</body>

</html>
