<?php ob_start();
defined('BASEPATH') OR exit('No direct script access allowed');
 
class Banner_add extends CI_Controller {

    public function __construct()
    {
        parent::__construct();
        $this->load->helper(array('form', 'url'));
        $this->load->library('form_validation');
        $this->load->model('Common_model');
        $this->is_user_logged_in();
    }


    /*===========================================================
                    Index Function Start
    ============================================================*/

    function index()
     {
         
        
       $id = $this->uri->segment(2);
     
      if(trim($id)!='')
      {
          
          $fetch_data  = '';
          $data['fetch_data'] = $this->Common_model->get_banner_data_by_id($id);
        
          
         $this->load->view('includes/header');
	     $this->load->view('banner_add_view',$data);
         $this->load->view('includes/footer');
          
      }else
      {
          
         $this->load->view('includes/header');
	     $this->load->view('banner_add_view');
         $this->load->view('includes/footer');
          
      }
 
    }

    /*============================================================
                    Index Function end
     ============================================================*/
     
     
    function add_banner_data()
    {
           
        
           if ($this->input->post('addbanner')) {
               
                $banner_title       = $this->input->post('banner_title');
                $banner_alt_tag     = $this->input->post('banner_alt_tag');
                $banner_sequence    = $this->input->post('banner_sequence');
                $banner_description = $this->input->post('banner_description');
                $banner_category    = $this->input->post('banner_category');
               
               
                $config['upload_path'] = 'images/banner-img/';
                $config['allowed_types'] = 'jpeg|jpg|png|svg';
                $config['max_size'] = 500;
                $config['max_width'] = '1920';
                $config['max_height'] = '820';
        
                $this->load->library('upload', $config);
        
                if (!$this->upload->do_upload('banner_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                    
                    $data = array(
                            'success_alert'   =>  $error_msg,
                            'banner_title'    => $banner_title,
                            'banner_alt_tag'  => $banner_alt_tag,
                            'banner_sequence' =>$banner_sequence,
                            'banner_description'=>$banner_description,
                            'banner_category'=>$banner_category
                         );
                    
                    
                      $this->load->view('includes/header');
                	  $this->load->view('banner_add_view',$data);
                      $this->load->view('includes/footer'); 
                 
                    
                } else {
                    
                    $data = $this->upload->data();
                    $image_name =  $data['file_name'];
                    
                   
                   
                
                    $data = array(
                        'added_date' => date('Y-m-d H:i:s'),'banner_alt_tag' => $banner_alt_tag,
                        'banner_sequence' => $banner_sequence,'banner_description' => $banner_description,'banner_image' => $image_name,'banner_title' => $banner_title,'banner_category' => $banner_category
                    
                        );
               
                   $insert_data = '';
                   $insert_data = $this->Common_model->insert_banner_data($data);
                  
                    if($insert_data){ 
                        
                      
                      redirect('banner_list/2/');
                              
                              
                    }
                }
             
           }
           
           
           
           if ($this->input->post('updatebanner')) {
               
                $banner_title       = $this->input->post('banner_title');
                $banner_alt_tag     = $this->input->post('banner_alt_tag');
                $banner_sequence    = $this->input->post('banner_sequence');
                $banner_description = $this->input->post('banner_description');
                $banner_category    = $this->input->post('banner_category');
                $last_image         = $this->input->post('last_image');
                $updateid           = $this->input->post('updateid');
               
                
                $config['upload_path']   = 'images/banner-img/';
                $config['allowed_types'] = 'jpeg|jpg|png|svg';
                $config['max_size']      = 500;
        
                $this->load->library('upload', $config);
                
                 if(!empty($_FILES['banner_image']['name'])){   
        
                if (!$this->upload->do_upload('banner_image')) {
                    
                    $data['error'] =  $this->upload->display_errors();
                    $error_msg =  $data['error'];
                
                     redirect('banner_add/'.$updateid.'/2');
                 
                    
                } else {
                    
                    $data = $this->upload->data();
                    $image_name =  $data['file_name'];
                   
                }
                
                 }
                
                
                if($image_name=='')
                {
                  $image_name =  $last_image; 
                }
                   
                
                $data = array(
                        'updated_date' => date('Y-m-d H:i:s'),'banner_alt_tag' => $banner_alt_tag,
                        'banner_sequence' => $banner_sequence,'banner_description' => $banner_description,'banner_image' => $image_name,'banner_title' => $banner_title,'banner_category' => $banner_category
                    
                        );
               
                   $update_data = '';
                   $update_data = $this->Common_model->update_banner_data($data,$updateid);
                  
                    if($update_data){ 
                        
                      
                      redirect('banner_list/3/');
                              
                              
                    }
                
                
             
           }
           
    
 
    }
    
    
    
   function is_user_logged_in()
	{
	    
		$this->load->helper(array('form', 'url'));
		if ($this->session->userdata('education_user_id') == '' or $this->session->userdata('education_user_type') == ''  
		   or $this->session->userdata('education_user_email') == '')
		{
			redirect('welcome');      
		}	

		else
		{
			//echo "User is logged in";
		}
	}   
    
    
    

     
}